## bit-babbler 0.6~bpo8+1

=== debian/changelog ===
bit-babbler (0.6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 01 Dec 2016 23:47:57 -0500

bit-babbler (0.6) unstable; urgency=medium

  * Update the libvirt Suggests to include libvirt-clients, since libvirt-bin
    got split into a bunch of pieces in Jessie (because GNOME, see #679074),
    and -clients is where virsh has moved to now.

  * Add configure tests for the functions udev_device_get_tags_list_entry and
    udev_device_get_sysattr_list_entry which were added in udev 154 and 167
    respectively.  The RHEL/CentOS 6 release appears to ship with udev 147,
    so we can't use them there, and it won't be fully EOL for some time yet.
    That's not a big deal, we only use them to output extra device information
    when the debug level is cranked up, so we can just omit that code on any
    systems where they aren't supported.

  * Include xlocale.h explicitly on platforms where we need that for strtod_l.

  * Initialise struct addrinfo more portably.  There's little point to trying
    to be clever with static initialisers while g++ has limited support for
    them in C++ code, just do it in a way that will work everywhere.

  * Add an explicit guard rather than a platform check around the code to
    append a wstring as UTF-8 and disable it by default for all platforms now.
    We don't actually need or use that anywhere here right now, and there are
    more platforms than MSW where wchar_t is unspecified and/or insane.  So
    we'll worry about enabling it again if we ever do need it here, since we
    do want this to be portable to those still.

  * Automatically add -D_REENTRANT for compilers that don't do that themselves
    when -pthread is used.

  * Preserve the Chi^2 statistic when long term results need to be normalised
    to prevent wrap around, and improve the precision on scaling the other
    metrics to minimise discontinuities, especially on machines with a 32-bit
    size_t where the normalisation is more likely to be needed in practice.
    Many thanks to George Tsegas for his extensive testing, and careful and
    critical attention to questioning all of the results of that.

  * Fix the framing/status check to handle devices plugged into USB 1.0 ports.
    Apparently there are still a few of those left in the wild.

 -- Ron Lee <ron@debian.org>  Fri, 17 Jun 2016 23:36:55 +0930
