## bit-babbler 0.6

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Ron Lee <ron@debian.org>
 Build-Depends: debhelper (>= 5), libusb-1.0-0-dev, libudev-dev [linux-any]
-Standards-Version: 3.9.6.1
+Standards-Version: 3.9.8.0
 Homepage: http://www.bitbabbler.org
 
 Package: bit-babbler
 Architecture: any
 Depends: ${shlibs:Depends}
-Suggests: munin-node, libjson-xs-perl, libvirt-bin
+Suggests: munin-node, libjson-xs-perl, libvirt-clients | libvirt-bin
 Description: BitBabbler hardware TRNG and kernel entropy source support
  This package provides supporting software for the BitBabbler true random
  number generator hardware.  It includes:
@@ -26,8 +26,8 @@
  You will need to install libjson-xs-perl if you wish to use the munin-node
  script for continuous graphing and monitoring of device performance.
  .
- You will need to install libvirt-bin if you want hotplug support for adding
- devices to libvirt managed virtual machines.
+ You will need to install libvirt-clients if you want hotplug support for
+ adding devices to libvirt managed virtual machines.
 
 Package: bit-babbler-dbg
 Section: debug
