=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ron Lee <ron@debian.org>
 Build-Depends: debhelper (>= 5), libusb-1.0-0-dev, libudev-dev [linux-any]
-Standards-Version: 3.9.8.0
+Standards-Version: 4.0.0.1
 Homepage: http://www.bitbabbler.org
 
 Package: bit-babbler
