=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Ron Lee <ron@debian.org>
-Build-Depends: debhelper (>= 5), libusb-1.0-0-dev, libudev-dev [linux-any]
-Standards-Version: 4.0.0.1
+Build-Depends: debhelper (>= 9), dh-systemd, libusb-1.0-0-dev, libudev-dev [linux-any]
+Standards-Version: 4.1.3.0
 Homepage: http://www.bitbabbler.org
 
 Package: bit-babbler
