=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Copyright 2003 - 2015 Ron Lee.
+# Copyright 2003 - 2018 Ron Lee.
 
 SHELL = /bin/bash
 
@@ -84,7 +84,11 @@
 	dh_prep
 	$(MAKE) -C $(objdir_shared) install DESTDIR=$(CURDIR)/debian/bit-babbler
 	dh_install debian/bit-babbler-sysctl.conf etc/sysctl.d
+	dh_systemd_enable seedd.service
+	dh_systemd_enable --no-enable seedd-wait.service
 	dh_installinit --restart-after-upgrade --name seedd
+	dh_systemd_start --restart-after-upgrade seedd.service
+	dh_systemd_start --no-start seedd-wait.service
 	dh_installudev
 	dh_installexamples doc/examples/* libvirt/qemu-hook
 	touch $@
