## bit-babbler 0.8build1

=== debian/changelog ===
bit-babbler (0.8build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:34:52 +0100
