## bit-babbler 0.9

=== debian/changelog ===
bit-babbler (0.9) unstable; urgency=medium

  * Refactor the udev rules for kernel 4.12 bind events and the mess udev made
    with handling introduction of a new event type.

  * Install udev rules and systemd units with make install, and fix the paths
    in them at configure time.  There should be no reason for that needing to
    be Debian specific anymore.

  * Ignore -Wgnu-designator at the sites where we use them rather than just
    disabling it globally.  It's good to mark Special Things as being special.

  * Drop the open coded set of 'hardening flags' from the Debian packaging,
    we test for and include those as part of the normal build system options.

  * Mark up exceptions for UBSan's not-actually-undefined tests so that we can
    apply them to catch any code where that behaviour might be unintentional.
    We do have deliberate use for Inf and NaN results in some statistics, and
    for 'implicit' modulo 2^32 in a uint32_t.  This makes those more explicit.

  * Be explicit about more traditionally implicit type conversions too so we
    can usefully employ warnings about unintended/unanalysed conversions that
    could be narrowing or reduce precision.

  * Use RefuseManualStart/RefuseManualStop in seedd-wait.service.  It is a(n
    optional) sequence point for seeding the kernel at boot time, so there is
    no reason or value in attempting to start or stop it after that. Stopping
    it could even be actively harmful, as that would also stop any unit that
    did Require it to complete before they started, even though what they
    actually Require (a freshly seeded kernel) has been satisfied and will
    not be changed.

  * Build-Depends: debhelper (>= 9), debhelper (>= 9.20160709) | dh-systemd
    We need this little abomination because dh-systemd has been merged with
    debhelper 9.20160709, but Jessie is still ELTS promised until 30/6/2022,
    and it only has debhelper 9.20150101+deb8u2 ...  So when move-fast-and-
    break-shit dropped dh-systemd from buster, it broke shit for people who
    want packages to build on at least all supported releases without silly
    avoidable busywork ...  Closes: #958581

  * Enable bbvirt to log to syslog, which is useful to see what happens when
    it's called from udev rules and the like which don't already log output
    sent to stderr.

  * Try to work around systemd deadlocking the boot with libvirt from Bullseye
    when it starts a zombie .socket unit before the service unit dependencies
    are satisfied - causing anything which attempts to communicate with it to
    just hang until the systemd time out "boot ordering bug solver" kicks in.
    We can only make the race a bit harder to lose here, a real fix involves
    declaring proper ordering dependencies for the libvirt socket unit (and
    fixing the networking.service unit to not abandon trying to bring the
    network up if the ifupdown-pre.service times out).

  * Chop the NUL terminator off control socket messages before passing them to
    JSON::XS for decoding, the 4.0 release now considers them trailing garbage
    rather than just ignoring them like earlier releases did.

 -- Ron Lee <ron@debian.org>  Wed, 27 Oct 2021 17:19:23 +1030
