=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Ron Lee <ron@debian.org>
-Build-Depends: debhelper (>= 9), dh-systemd, libusb-1.0-0-dev, libudev-dev [linux-any]
-Standards-Version: 4.1.3.0
+Build-Depends: debhelper (>= 9), debhelper (>= 9.20160709) | dh-systemd,
+               libusb-1.0-0-dev, libudev-dev [linux-any], pkg-config
+Standards-Version: 4.6.0.1
 Homepage: http://www.bitbabbler.org
 
 Package: bit-babbler
 Architecture: any
 Depends: ${shlibs:Depends}
-Suggests: munin-node, libjson-xs-perl, libvirt-clients | libvirt-bin
+Suggests: munin-node, libjson-xs-perl, libvirt-clients | libvirt-bin, acl
 Description: BitBabbler hardware TRNG and kernel entropy source support
  This package provides supporting software for the BitBabbler true random
  number generator hardware.  It includes:
@@ -31,10 +32,8 @@
 
 Package: bit-babbler-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: bit-babbler (= ${binary:Version})
 Description: debugging symbols for BitBabbler tools
  This package provides the detached debug symbols for software in the
  bit-babbler package.
-
