=== debian/rules ===
--- 
+++ 
@@ -12,21 +12,6 @@
 
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-
-# We don't need this one here, -Wformat=2 is already part of our standard set.
-#HARD_CFLAGS  = -Wformat=2
-HARD_CPPFLAGS = -D_FORTIFY_SOURCE=2
-HARD_LDFLAGS  = -Wl,-z,now
-
-ifneq (,$(filter-out alpha hppa arm, $(DEB_HOST_ARCH)))
-	HARD_CFLAGS += -fstack-protector --param ssp-buffer-size=4
-endif
-ifneq (,$(filter-out ia64 hppa avr32, $(DEB_HOST_ARCH)))
-	HARD_LDFLAGS += -Wl,-z,relro
-endif
-
 
 
 build_arch_stamps = build-shared-stamp
@@ -51,15 +36,10 @@
 	dh_testdir
 
 	mkdir $(objdir_shared)
-	cd $(objdir_shared) && ../configure --host=$(DEB_HOST_GNU_TYPE)      \
-					    --build=$(DEB_BUILD_GNU_TYPE)    \
-					    --cache-file=$(config_cache)     \
-					    --prefix=/usr                    \
-					    $(EXTRA_CONFIG_OPTS)             \
-					    EXTRACPPFLAGS="$(HARD_CPPFLAGS)" \
-					    EXTRACFLAGS="$(HARD_CFLAGS)"     \
-					    EXTRACXXFLAGS="$(HARD_CFLAGS)"   \
-					    EXTRALDFLAGS="$(HARD_LDFLAGS)"
+	cd $(objdir_shared) && ../configure --host=$(DEB_HOST_GNU_TYPE)   \
+					    --build=$(DEB_BUILD_GNU_TYPE) \
+					    --cache-file=$(config_cache)  \
+					    --prefix=/usr
 
 
 build: build-arch build-indep
@@ -83,13 +63,11 @@
 	dh_testroot
 	dh_prep
 	$(MAKE) -C $(objdir_shared) install DESTDIR=$(CURDIR)/debian/bit-babbler
-	dh_install debian/bit-babbler-sysctl.conf etc/sysctl.d
 	dh_systemd_enable seedd.service
 	dh_systemd_enable --no-enable seedd-wait.service
 	dh_installinit --restart-after-upgrade --name seedd
 	dh_systemd_start --restart-after-upgrade seedd.service
 	dh_systemd_start --no-start seedd-wait.service
-	dh_installudev
 	dh_installexamples doc/examples/* libvirt/qemu-hook
 	touch $@
